/*! ********************************************
 * MidiEvent.as
 * Copyright 2019 masahiro takamoto (MotChan)
 * Distributed under the MIT license. 
 * see -> sora/license.txt
 ******************************************** */
package sora.graybox 
{

public class MidiEvent extends MidiMessage
{
	public var midiPorts :int = 0xFFFF;  // 16ports. 16BitFlags[15,14,13...2,1,0]
	public var offsetFrames :int = 0;  // Start Frame Offset ( * Current Process )
// list
	public var next :MidiEvent = null;
	
	override public function clear():void
	{
		midiPorts = 0xFFFF;
		next = null;
		offsetFrames = 0;
		type = 0x80;
		channel = 0;
		value0 = 0;
		value1 = 0;
		data = null;
		//dataSize = 0;
	}
// Constructor
	public function MidiEvent():void { super(); }
}
}